import llm_asr
import gradio as gr

sensevoice_path = "/usr/share/spacemit-asr/sensevoice"
sensevoiceModel = llm_asr.llm_asr(sensevoice_path)

#输入文本处理程序
def greet(audio):
    filepath = audio
    text = sensevoiceModel.audio_to_text(filepath)
    return text
#接口创建函数
#fn设置处理函数，inputs设置输入接口组件，outputs设置输出接口组件
#fn,inputs,outputs都是必填函数
demo = gr.Interface(fn=greet, inputs=gr.Audio(sources=["microphone"], type="filepath", label="Microphone"), outputs="text", flagging_mode="never")
demo.launch(share=True)

